Search with DQLCopy Pageget https://kg.diffbot.com/kg/v3/dqlSearch the Knowledge Graph using DQLQuery ParamstypestringenumDefaults to queryQuery typequerytextqueryTextFallbackcrawlAllowed:querytextqueryTextFallbackcrawlquerystringrequiredDQL QuerycolstringDefaults to allComma-delimited list of custom crawl collections to query. Specify all to query all collections for your token. This parameter is valid only when type=crawl and defaults to allfromint32Defaults to 0Return results starting at from index. from+size <= 10_000 for facet queries.Please note that the from parameter is no longer applicable to Article queries and has been deprecated. In the future, using this parameter will result in an error.sizeint32Defaults to 50Maximum number of results to return. -1 to return all results. from+size <= 10_000 for facet queries.formatstringenumDefaults to jsonOutput formatjsonjsonlcsvxlsxlsxAllowed:jsonjsonlcsvxlsxlsxexportspecstringThe spec defines the columns to export. This is applicable for csv, xls and xslx formats.Export spec specifies how to export the entity JSON to a csv. A simple export spec looks like name;summary. To specify more complex export spec, including specifying how many of a list of industries to return, or the ideal employment record, see Exporting Columnar Format and JsonPath Filtering.exportseparatorstringThe export separatorexportfilestringFor export endpoint, The file name of the export filefilterstringSemi-colon separated path filter to filter response json. You can use a simple dot notation skills.name or a JsonPath expression such as such as $.name;$.locations.country.name. For more advanced options, see JsonPath Filtering for syntax.filterExcludestringSemi-colon separated path filter to filter and exclude data from response json. You can use a simple dot notation skills.name or a JsonPath expression such as such as $.name;$.locations.country.name. For more advanced options, see JsonPath Filtering for syntax.jsonmodestringenumDefaults to extended returns origin information for facts. id returns just the diffbotIds and origins. extendedidAllowed: extendedidnonCanonicalFactsbooleanDefaults to falsenonCanonicalFacts=true returns non-canonical facts.truefalsenoDedupArticlesbooleanDefaults to falsenoDedupArticles=true indicates that articles should not be deduplicated but all of them returnedtruefalseclusterstringenumDefaults to Articles only. Utilize Diffbot clustering algorithms to identify related or similar objects. - cluster=all to return each article with a clusterId identifying thematically-similar articles. - cluster=best to remove thematically-similar articles from the result set, leaving a single best representative from each cluster. - cluster=dedupe to remove exact and near-duplicate articles from the result set. Where applicable, clusterId is returned in the entity_ctx element of each response entity. allbestdedupeAllowed: ''allbestdedupereportbooleanDefaults to falseGenerate coverage report. See [dql-coverage-reports](Coverage Reports) for more details on generating coverage reports for DQL queries.truefalseviewstringHeadersacceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsonapplication/json-linesapplication/ms-excelapplication/vnd.openxmlformats-officedocument.spreadsheetml.sheettext/csvAllowed:application/jsonapplication/json-linesapplication/ms-excelapplication/vnd.openxmlformats-officedocument.spreadsheetml.sheettext/csvResponses 200Query results 400Invalid required parameters 422Error parsing request 500Internal Server ErrorUpdated 6 months ago